package Lambda;

import static org.junit.jupiter.api.Assertions.*;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

class JTest {
	JTestLambda calculator;
	@BeforeEach
	public void objekt() {
		calculator = new JTestLambda(2);
	}
	
	// Variant 1
	@Test
	public void testDivideByZero() {
		

		// Testet, ob eine ArithmeticException geworfen wird, wenn durch null geteilt wird
					// Name der Klass Exception
		assertThrows(ArithmeticException.class, () -> {
			calculator.divide(10, 0);
		});
	}
	
	// Variant 2
	@Test
	public void testExceptionMessage() {
	    Exception exception = assertThrows(IllegalArgumentException.class, () -> {
	        throw new IllegalArgumentException("Invalid argument");
	    });
	    
	    // Überprüfen der Fehlermeldung
	    assertEquals(10,calculator.divide(10, 1),exception.getMessage());
	}

}
